Bug 247645 - pirut should work even if system pygtk is non-functional
pirut should work even if system pygtk is non-functional
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-10 13:16 EDT by Luis Villa
Modified: 2008-05-14 10:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 10:15:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luis Villa 2007-07-10 13:16:14 EDT
Given that instructions to users to help fix problems can take the form 'click
http://.../foo.rpm' that should always work, to the greatest extent possible.
I've currently got a busted pygtk, which breaks pirut, making it much more
difficult to ... install a non-busted pygtk.

So a statically-linked pirut would be great (or at least one which only
dependend on a functional python, rather than the much more fragile pygtk
toolchain). I have no idea if python/pygtk make this possible, unfortunately; if
not, go ahead and close with impunity. But otherwise this is one of those
rare-but-high-impact-when-it-happens bugs which would be great to have fixed.
Comment 1 Jeremy Katz 2007-07-16 14:58:49 EDT
There's really not a sane way to do this using pygtk unless I were to bundle all
of pygtk inside of pirut (which, ick :-).

And the problem is that you really want it to be something graphical for which
there's just no reasonable fallback.  python-tk isn't there by default (and even
if it were, just ew).  I mean, we could depend on vte and do something like pop
up a vte window with yum running or exec gnome-terminal, but I'm not sure if
that's really "better".
Comment 2 Luis Villa 2007-07-16 15:08:05 EDT
<i>There's really not a sane way to do this using pygtk unless I were to bundle
all of pygtk inside of pirut (which, ick :-).</i>

That is actually what I had in mind; I just didn't know quite how ick it might
be from a python/packaging perspective. I agree that any other option is a very
seriously complete mess and doesn't really solve the user problem.

(This might be one of the few, few cases which justifies the pain of automated
testing, so cc'ing wwoods to add this to his ideating on that subject- maybe
this bug should be 'figure out how best to reduce the odds of shipping a
non-functional pirut'?)
Comment 3 Jeremy Katz 2007-07-16 16:09:21 EDT
(In reply to comment #2)
> <i>There's really not a sane way to do this using pygtk unless I were to bundle
> all of pygtk inside of pirut (which, ick :-).</i>
> 
> That is actually what I had in mind; I just didn't know quite how ick it might
> be from a python/packaging perspective. I agree that any other option is a very
> seriously complete mess and doesn't really solve the user problem.

The problem is which one gets preferred, how do I keep up with pygtk releases
for the "embedded" version, what happens if GTK/pango are broken instead of just
pygtk, ...  the list gets a bit long to make it pretty distasteful and perhaps
the wrong work being done
 
> (This might be one of the few, few cases which justifies the pain of automated
> testing, so cc'ing wwoods to add this to his ideating on that subject- maybe
> this bug should be 'figure out how best to reduce the odds of shipping a
> non-functional pirut'?)

Yeah, this is perhaps the better thing to attack :)
Comment 4 Bug Zapper 2008-05-14 09:30:11 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Luis Villa 2008-05-14 09:53:57 EDT
You guys should consider not sending the bugzapper emails for enhancements
(though I see that this bug was never marked as such... so maybe step 1 is
'actually triage all bugs' and then step 2 is 'don't send bugzapper emails for
enhancements ;)

Anyway... marking as still relevant for F9; obviously, jeremy, feel free to
close as WONTFIX at any point.
Comment 6 Jeremy Katz 2008-05-14 10:15:16 EDT
I think that step 2 is in place, just not step 1 :-)

Actually, not relevant in Fedora 9 as we're not shipping pirut with PackageKit's
presence

Note You need to log in before you can comment on or make changes to this bug.